# svn_wc_info_t Struct Reference
[Working copy management]

This struct contains information about a working copy node. More...

`#include <svn_wc.h>`

## Data Fields
svn_wc_schedule_t | schedule
const char * | copyfrom_url
svn_revnum_t | copyfrom_rev
const svn_checksum_t * | checksum
const char * | changelist
svn_depth_t | depth
svn_filesize_t | recorded_size
| The size of the file after being translated into its local representation, or SVN_INVALID_FILESIZE if unknown.
apr_time_t | recorded_time
| The time at which the file had the recorded size recorded_size and was considered unmodified.
const apr_array_header_t * | conflicts
| Array of const svn_wc_conflict_description2_t * which contains info on any conflict of which this node is a victim.
const char * | wcroot_abspath
| The local absolute path of the working copy root.

## Detailed Description

This struct contains information about a working copy node.

Note:
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since:
  New in 1.7.

Definition at line 3042 of file svn_wc.h.

## Field Documentation

const apr_array_header_t* svn_wc_info_t::conflicts

Array of const svn_wc_conflict_description2_t * which contains info on any conflict of which this node is a victim.

Otherwise NULL.

Definition at line 3066 of file svn_wc.h.

svn_filesize_t svn_wc_info_t::recorded_size

The size of the file after being translated into its local representation, or SVN_INVALID_FILESIZE if unknown.

Not applicable for directories.

Definition at line 3057 of file svn_wc.h.

apr_time_t svn_wc_info_t::recorded_time

The time at which the file had the recorded size recorded_size and was considered unmodified.

Definition at line 3062 of file svn_wc.h.

const char* svn_wc_info_t::wcroot_abspath

The local absolute path of the working copy root.

Definition at line 3069 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines